=== debian/watch ===
version=4
opts="uversionmangle=s/./$&./" \
http://www.winace.com/down.html \
http://www.winace.com/files/linunace(.*)\.tgz
